Implement plugin mechanism for MacOS
Status: Resolved Start date: 09/29/2012
Priority: Normal Due date:
Assignee: J. Moringen % Done: 100%
Category: Plugins Estimated time: 0.00 hour
Target version: rsb-0.9
Description

Associated revisions
Revision 7069e606 - 11/12/2012 08:30 PM - S. Wrede

added preprocessor conditional to select platform-specfic regexp, refs #1177

Revision 3d79dee7 - 11/12/2012 09:14 PM - J. Moringen

Use dl*-based plugins for MacOS in src/rsc/plugins/Plugin.cpp

fixes #1177

Previously, the dl*-based interface has only been used for Linux.

    -  src/rsc/plugins/Manager.cpp: use regexp-based processing of shared
  library names; specify regexps for linux, APPLE and _WIN32

    -  src/rsc/plugins/Plugin.cpp: in Impl::loadLibrary and
  Impl::resolveSymbol, use dl*-based interface when linux or
APPLE

History
#1 - 11/03/2012 05:09 PM - J. Moringen
- Status changed from New to In Progress
- Assignee set to J. Moringen

#2 - 11/06/2012 07:47 PM - J. Moringen

Sebastian, did you test the feature-macos-plugins branch of project:rsc?

#3 - 11/07/2012 09:43 AM - S. Wrede

Installed but not tested yet... Will do this on the way back to Bielefeld.

#4 - 11/12/2012 09:38 PM - J. Moringen
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100
Applied in changeset rsc|commit:3d79dee7e565a1ea84a8976777827099cd171672.
